matrix:
  platform:
  - debian10
  - ubuntu2004
  bazel:
  - 7.x
  - 8.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    build_targets:
    - '@skywalking-data-collect-protocol//...'
  verify_targets_windows:
    name: Verify build targets
    platform: windows
    bazel: ${{ bazel }}
    build_flags:
      - '--cxxopt=/std:c++17'
      - '--host_cxxopt=/std:c++17'
    build_targets:
    - '@skywalking-data-collect-protocol//...'
